Pular para o conteúdo

Reseta a senha

POST
/api/v2/clients/recover_password

Cria uma senha para o cliente e envia por email

email
required
string

Email do cliente

no_send
string

Preencher para pular o envio do email de senha para o cliente

Quando a senha for criada

Client

Modelo que representa um cliente na API

object
id
integer
first_name
string
last_name
string
email
string format: email
gender
string
phone_area
string
/[0-9]+/
phone
string
/[0-9]+/
document_type
string
Allowed values: CPF CNPJ
document_number

Número de documento cadastrado pelo cliente

string
cpf
string
/[0-9]+/
cnpj
string
/[0-9]+/
ie
string
tags
string
lists
Array<string>
facebook_uid
string
liked_facebook_page
boolean
updated_at
string format: date-time
birthdate
string format: date
recent_address
Array<object>
object
id
string
first_name
string
last_name
string
company_name
string
street_name
string
street_number
string
neighborhood
string
complement
string
reference
string
city
string
state
string
zip
string
first_phone_area
string
first_phone
string
second_phone_area
string
second_phone
string
email
string
documents
object
cpf
string
cnpj
string
auth_token
string
last_confirmed_order_at
string format: date-time
received_orders_count
integer
confirmed_orders_count
integer
canceled_orders_count
integer
renew_password
boolean

Quando um cliente não é encontrado com o email informado

404

Modelo que representa uma mensagem de erro 404

object
error
required
string
Allowed values: not found